Last modified: 2011-03-13 18:06:27 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26543 - Styles and their documentation to be moved from Wikipedia to Mediawiki
Styles and their documentation to be moved from Wikipedia to Mediawiki
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
Documentation (Other open bugs)
1.18.x
All All
: Lowest trivial (vote)
: ---
Assigned To: Nobody - You can work on this!
http://en.wikipedia.org/wiki/Wikipedi...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-02 11:25 UTC by Dan Jacobson
Modified: 2011-03-13 18:06 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Dan Jacobson 2011-01-02 11:25:54 UTC
Any of the items on
http://en.wikipedia.org/wiki/Wikipedia:Catalogue_of_CSS_classes
http://en.wikipedia.org/wiki/MediaWiki:Common.css
1) should be documented at www.mediawiki.org, instead of en.wikipedia.org?
2) are finished with their "incubation" period, and can be moved into
MediaWiki like Bug 26266, if not there already, (perhaps along say with
<i> etc. HTML tags, if they match what the CSS does)?

(If I don't understand, I'm not alone,
http://en.wikipedia.org/wiki/Wikipedia_talk:Catalogue_of_CSS_classes#Bunch_of_newbie_questions
"I tried to read this page but it made my head spin,")
Comment 1 Krinkle 2011-01-02 16:22:57 UTC
That CSS catelogue will soon be outdated, and in a way already is since Wikipedia runs on 1.16 and MediaWiki is currently preparing 1.17 for release and trunk is 1.18 so it shouldn't be imported to MediaWiki.org since it already doesn't represent what is coming within a month – not the mention the parts that are Wikimedia and/or Wikipedia specfic.

As for Common styles, MediaWiki is used way more then just Wikipedia and it can already be quite nasty for developers to create own skins due to the number of default styles that need to be 'reset' in some cases.

If people are interested in being exactly the same as Wikipedia, nothing keeps them from doing that, but it most certainly should not be the default in a MediaWiki release:

* go to [[Special:Version]] and install the extensions you like
* go to [[MediaWiki:Common.css]], [[MediaWiki:Common.js]], [[MediaWiki:Vector.css]], [[MediaWiki:Vector.js]] and copy the relevant stuff.
* Anything else ?

Seems like a fairly straightforward process.

If your request is to have styles across the various Wikimedia projects be the same, perhaps request some kind of [[MediaWiki:Global.css]] which could be stored on Meta-Wiki or Commons that affects all wikis.
Comment 2 Dan Jacobson 2011-01-03 03:28:42 UTC
(In reply to comment #1)
> * go to [[MediaWiki:Common.css]], [[MediaWiki:Common.js]],
> [[MediaWiki:Vector.css]], [[MediaWiki:Vector.js]] and copy the relevant stuff.
> Seems like a fairly straightforward process.
...hat the user must repeat over and over to keep updated. I'm just hoping that the reasonable styles would moved to MediaWiki like in Bug 26266.
Comment 3 Krinkle 2011-01-03 03:43:05 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > * go to [[MediaWiki:Common.css]], [[MediaWiki:Common.js]],
> > [[MediaWiki:Vector.css]], [[MediaWiki:Vector.js]] and copy the relevant stuff.
> > Seems like a fairly straightforward process.
> ...hat the user must repeat over and over to keep updated. I'm just hoping that
> the reasonable styles would moved to MediaWiki like in Bug 26266.

If you believe there are styles in Wikipedia's specific database that every single wiki-installation (at least the biggest part) would benefit from, feel free to request it like you did in bug 26266.

However this bug is way to general and as-is a WONTFIX since there are lots of styles in there are have nothing to do on other wikis. Not even on other WMF-wikis.

Whatever parts of it are reasonable to be moved to MediaWiki maybe requested in a specific bug as you have done before.
Comment 4 Chad H. 2011-01-03 03:52:46 UTC
(In reply to comment #3):
> Whatever parts of it are reasonable to be moved to MediaWiki maybe requested in
> a specific bug as you have done before.

I would like to emphasize the word "reasonable" here. We really need to see that lots of people are copying styles before we consider moving them to core.

We've gotten a lot of cruft over the years because one person asked for something and a developer said "Eh, why not."
Comment 5 Dan Jacobson 2011-01-03 04:01:48 UTC
All I know is we hear about 'reasonable' ones via word of mouth,
http://lists.wikimedia.org/pipermail/mediawiki-l/2010-December/036070.html
and have to file bugs to get them in. Please put them in in the first
place. Thank you.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links